Skip to Content

Site Navigation

WCB Home Page
Change Font Size
Glossary of WCB Terms

Minimum Technical Requirements


The Workers' Compensation Board recommends using the following browsers for Insurance Compliance Inquiry:

  • Internet Explorer version 5 and higher
  • Firefox version 1.0 and higher
  • Netscape version 7 and higher

Additional Notes

  • The Workers' Compensation Board's On-line Insurance Compliance Inquiry application is accessed through the Internet. For security reasons, it is recommended that you do not access Insurance Compliance Inquiry through public internet access terminals (library, Internet cafe, etc.)
  • While we have tested Insurance Compliance Inquiry on a number of browsers, it is not possible to test for every possible configuration of software that may be installed on a user's machine. If you encounter problems, please try closing down your browser, re-booting your machine and trying again.